%define module	Device-Cdio
%define name	perl-%{module}
%define version	0.2.4
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Module for CD Input and Control library
License:	GPL
Group:		Development/Perl
Source:		%{module}-v%{version}.tar.bz2
# Debian patch (Thx)
Patch0: 05_buffer_overflows_in_perliso9660.dpatch
Patch1: 06_module_build.dpatch
Patch2: 02_wrong_function_name.dpatch
Url:		http://search.cpan.org/search?query=Device-Cdio
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires: perl-devel >= 5.8.0
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Module::Build)
BuildRequires: perl-version
BuildRequires: libcdio-devel 
BuildRequires: swig
Requires:	perl

%description
A module to make easier temporary directories deletion

%prep
%setup -q -n %{module}-v%{version}
%patch0 -p1 -b .05
%patch1 -p1 -b .06
%patch2 -p1 -b .02

rm -f t/*pod*.t

%build
%__perl Build.PL installdirs=vendor

./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorarch}/*
%_mandir/*/*


%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.2.4-6mdv2008.1
+ Revision: 151427
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Olivier Thauvin <nanardon@mandriva.org> 0.2.4-5mdv2008.1
+ Revision: 101935
- add forgotten files by mdvsys
- kill pod test, don't work
- stealing some debian patchs (fix build)
- workaround perm issue (ugly method, I agree)


* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:49:10 (60449)
- Fix buildrequires again

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:28:44 (60448)
- bump release

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:27:29 (60447)
- Fix buildrequires

* Thu Sep 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-07 01:00:30 (60442)
- Fix buildrequires

* Wed Sep 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-06 22:29:46 (60429)
- initial package

